MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024847Open CASCADE[OCCT] OCCT:Codingpublic2014-04-16 17:562017-08-28 10:51
Reporterski 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024847: CLang warnings -Wdeprecated-writable-strings in OpenGl_Display
DescriptionCLang on Mac OS X 10.9 reports warning -Wdeprecated-writable-strings:
OpenGl_Display.cxx:36:36: warning: conversion from string literal to 'char *' is deprecated [-Wdeprecated-writable-strings]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0029058closedbugmaster Coding rules, OpenGl_Window - eliminate memory leak after XGetVisualInfo 
related to 0023028closedbugmaster Visualization, TKOpenGl - eliminate global static variables 
related to 0025800closedbugmaster Visualization, TKOpenGl - disable GL_DITHER explicitly 

-  Notes
(0028895)
ski (developer)
2014-04-16 18:09

Changes are located in branch CR24847.
Please, review.
(0028901)
abv (manager)
2014-04-16 18:35

Kirill, I have no special remarks, however as we discussed the management of display in OpenGl_Display perhaps needs some revision. Please have a look at the proposed fix.
(0028978)
kgv (developer)
2014-04-18 18:14

Updated patch is ready for review in branch CR24847_1.
(0029001)
san (developer)
2014-04-22 01:28

Branch CR24847_1 reviewed without remarks, ready for testing
(0029038)
mkv (tester)
2014-04-23 16:26

Dear BugMaster,

Branch CR24847_1 was compiled on Linux platform.
SHA-1: 5292f3f731f00f108fb5b5e7f36370a2c7943675

There are compilation errors on Linux platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24847_1/job/mnt-CR24847_1-master_build_occt_linux/1/parsed_console/? [^]
../../../../src/OpenGl/OpenGl_GraphicDriver.cxx: In member function ‘virtual Standard_Boolean OpenGl_GraphicDriver::Begin(const Handle_Aspect_DisplayConnection&)’:
../../../../src/OpenGl/OpenGl_GraphicDriver.cxx:119: error: ‘aDisplay’ was not declared in this scope
(0029043)
kgv (developer)
2014-04-23 17:50

Branch CR24847_1 has been updated - please re-test.
(0029102)
mkv (tester)
2014-04-28 15:35

Dear BugMaster,

Branch CR24847_1 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 06befc9647725117571f4ce2346a4686487ba665

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 409 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355455708 / 355845808
Total CPU difference: 65782.14999999975 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 379090304 / 381847264
Total CPU difference: 35613.984375 / 43088.34375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 73192b37
Timestamp: 2014-04-30 09:38:50
Author: kgv
Committer: apn
Details ] Diff ]
0024847: CLang warnings -Wdeprecated-writable-strings in OpenGl_Display

Remove obsolete properties, remove OpenGl_Display class.
Fix compilation on Linux
mod - src/InterfaceGraphic/FILES Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_Palette.c Diff ] File ]
mod - src/InterfaceGraphic/InterfaceGraphic_WNT.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
rm - src/OpenGl/Handle_OpenGl_Display.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_Display.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Display.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_1.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Layer.cxx Diff ] File ]
add - src/OpenGl/OpenGl_LineAttributes.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-16 17:56 ski New Issue
2014-04-16 17:56 ski Assigned To => ski
2014-04-16 18:01 ski Status new => assigned
2014-04-16 18:09 ski Note Added: 0028895
2014-04-16 18:09 ski Assigned To ski => abv
2014-04-16 18:09 ski Status assigned => resolved
2014-04-16 18:34 abv Assigned To abv => kgv
2014-04-16 18:35 abv Note Added: 0028901
2014-04-18 18:14 kgv Note Added: 0028978
2014-04-18 18:14 kgv Assigned To kgv => san
2014-04-18 18:14 kgv Target Version => 6.8.0
2014-04-18 18:15 kgv Summary CLang warnings -Wdeprecated-writable-strings => CLang warnings -Wdeprecated-writable-strings in OpenGl_Display
2014-04-22 01:28 san Note Added: 0029001
2014-04-22 01:28 san Assigned To san => bugmaster
2014-04-22 01:28 san Status resolved => reviewed
2014-04-22 12:09 mkv Assigned To bugmaster => mkv
2014-04-23 10:10 kgv Relationship added related to 0023028
2014-04-23 16:26 mkv Note Added: 0029038
2014-04-23 16:27 mkv Test case number => Not needed
2014-04-23 16:27 mkv Assigned To mkv => ski
2014-04-23 16:27 mkv Status reviewed => assigned
2014-04-23 17:50 kgv Note Added: 0029043
2014-04-23 17:50 kgv Assigned To ski => bugmaster
2014-04-23 17:50 kgv Status assigned => resolved
2014-04-23 17:50 kgv Status resolved => reviewed
2014-04-23 17:59 mkv Assigned To bugmaster => mkv
2014-04-28 15:35 mkv Note Added: 0029102
2014-04-28 15:35 mkv Assigned To mkv => bugmaster
2014-04-28 15:35 mkv Status reviewed => tested
2014-05-05 17:24 apn Changeset attached => occt master 73192b37
2014-05-05 17:24 apn Assigned To bugmaster => apn
2014-05-05 17:24 apn Status tested => verified
2014-05-05 17:24 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed
2015-02-06 16:49 kgv Relationship added related to 0025800
2017-08-28 10:51 kgv Relationship added parent of 0029058


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker